Bug 200675 - [new port] audio/skype_oss_wrapper: skype-only pulseaudio replacement
Summary: [new port] audio/skype_oss_wrapper: skype-only pulseaudio replacement
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Johannes Jost Meixner
URL:
Keywords:
Depends on:
Blocks: 200608
  Show dependency treegraph
 
Reported: 2015-06-06 13:28 UTC by Andriy Voskoboinyk
Modified: 2015-06-11 14:52 UTC (History)
1 user (show)

See Also:


Attachments
skype_oss_wrapper.shar (2.23 KB, text/plain)
2015-06-06 13:28 UTC, Andriy Voskoboinyk
no flags Details
portlint.log (126 bytes, text/plain)
2015-06-06 13:33 UTC, Andriy Voskoboinyk
no flags Details
poudriere-9.3-i386.log (12.79 KB, text/plain)
2015-06-06 14:04 UTC, Andriy Voskoboinyk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Voskoboinyk freebsd_committer 2015-06-06 13:28:37 UTC
Created attachment 157464 [details]
skype_oss_wrapper.shar

Advantages (in comparison with audio/linux-c6-pulseaudio-libs):
- Works with skype4.
- Dependency-less (requires only linux_base).
Comment 1 Andriy Voskoboinyk freebsd_committer 2015-06-06 13:33:51 UTC
Created attachment 157465 [details]
portlint.log
Comment 2 Andriy Voskoboinyk freebsd_committer 2015-06-06 14:04:30 UTC
Created attachment 157468 [details]
poudriere-9.3-i386.log
Comment 3 Johannes Jost Meixner freebsd_committer 2015-06-10 17:28:06 UTC
I'll take it, and I'll rename the port a little before committing.

Are devtools actually used for building libpulse.so.6, or can you build everything with stock FreeBSD?

Did you test both cases with Skype (e.g. via calling 'echo123') ?
Comment 4 Andriy Voskoboinyk freebsd_committer 2015-06-10 17:52:24 UTC
> Are devtools actually used for building libpulse.so.6, or can you build
> everything with stock FreeBSD?

Yes, they are used for building native Linux library (so, you cannot use stock compiler because it doesn't support cross-compilation).

> Did you test both cases with Skype (e.g. via calling 'echo123') ?

Yes, I can hear what I've said.
Comment 5 Johannes Jost Meixner freebsd_committer 2015-06-10 18:29:31 UTC
Great. I'll commit all that as soon as I find a more recent 11.0-CURRENT head, here at BSDcan. Shouldn't take longer than two hours or so.
Comment 6 commit-hook freebsd_committer 2015-06-11 14:50:33 UTC
A commit references this bug:

Author: xmj
Date: Thu Jun 11 14:49:52 UTC 2015
New revision: 389221
URL: https://svnweb.freebsd.org/changeset/ports/389221

Log:
  audio/linux-skype_oss_wrapper: add port.

  A fake libpulse.so library that mimics pulseaudio behavior for skype

  WWW: https://github.com/waterlaz/skype_oss_wrapper

  PR:		200675
  Submitted by:	Andriy Voskoboinyk <s3erios@gmail.com>

Changes:
  head/audio/Makefile
  head/audio/linux-skype_oss_wrapper/
  head/audio/linux-skype_oss_wrapper/Makefile
  head/audio/linux-skype_oss_wrapper/distinfo
  head/audio/linux-skype_oss_wrapper/pkg-descr
Comment 7 Johannes Jost Meixner freebsd_committer 2015-06-11 14:52:39 UTC
Committed, thanks!